import 'package:fis_jsonrpc/services/index.dart';

abstract class IRtmpMockRtcManager {
  /// 处理受邀用户接受
  void handleRemoteAccept(LiveConsultatioAccepterInfo accepter);

  /// 处理远端用户加入
  void handleRemoteJoinIn(LiveConsultationJoinerInfo joiner);

  /// 处理远端用户离开
  void handleRemoteLeave(LiveConsultationLeaverInfo joiner);

  /// 处理进入房间
  void handleEnterRoom();

  /// 远端开启or关闭视频
  void handleRemoteMuteVideo(String id, bool isMute);

  /// 远端静音
  void handleRemoteMuteAudio(String id, bool isMute);

  /// 存储初始数据
  void storeOriginData(List<LiveConsultationMember>? members);

  /// 更新设备
  void updateDevice(LiveConsultationMember device);
}
